import React from 'react-native'
import AppStyles from '../Styles/AppStyles'

const {
    Component,
    View,
    Text,
    ListView,
    TouchableHighlight,
} = React;

let listData;
let listHeight;
let clickedCallback;

class SimpleHListView extends Component {
    constructor(props) {
        super(props)

        //id,name,obj

        this.state = {
            dataSource: (new ListView.DataSource({rowHasChanged: (row1, row2) => row1.list_id !== row2.list_id})),
        }

    }

    componentWillMount() {



    }


    render() {

        listData=this.props.data;

        listHeight=this.props.height;

        clickedCallback=this.props.clickedCallback;

        this.state = {
            dataSource:this.state.dataSource.cloneWithRows(listData),
        }

        return(
                <ListView style={[AppStyles.ListView.ListView,{height:listHeight}]}
                          dataSource={this.state.dataSource}
                          renderRow={this.renderRow.bind(this)}
                          automaticallyAdjustContentInsets={false}
                />
        )
    }

    renderRow(rowData, sectionID, rowID) {


        return (
            <TouchableHighlight style={[AppStyles.Container.RowContainer,{height:listHeight,backgroundColor:'white',paddingLeft:0,paddingRight:5,alignSelf: 'center'}]} underlayColor='#ffffff' onPress={() => {

                clickedCallback(rowData.obj);

            }}>
                <View>
                    <View style={[AppStyles.Container.RowContainer,{paddingLeft:0,paddingRight:0,alignSelf: 'center'}]}>
                        <Text style={[AppStyles.ListView.RowText,{color:'#111111',alignSelf: 'center'}]}>
                            {rowData.name}
                        </Text>
                    </View>
                </View>


            </TouchableHighlight>

        )
    }

}

export default SimpleHListView
